%define oname kdeconnect-kde

Summary:	Android integration with Plasma 5 desktop
Name:		plasma5-kdeconnect
Version:	1.0.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/playground/base/kdeconnect-kde
Source0:	http://download.kde.org/unstable/kdeconnect/%{version}/src/%{oname}-%{version}.tar.xz
Source1:	kdeconnect-ru.tar.gz
Patch0:		kdeconnect-kde-1.0.2-soversion.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:  kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	pkgconfig(libfakekey)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
Suggests:	plasma5-applet-kdeconnect
Requires:	plasma5-kio-kdeconnect
Requires:	libkcore = %{version}
Requires:	libkinterfaces = %{version}
Requires:	qca2-qt5
Requires:	qca2-qt5-plugin-openssl
Requires:	qca2-qt5-plugin-gnupg
Requires:	sshfs-fuse
Conflicts:	kdeconnect

%description
Android integration with Plasma 5 desktop.

%files -f %{oname}.lang
%doc COPYING
%{_kde5_bindir}/kcapp
%{_kde5_bindir}/kdeconnect-cli
%{_kde5_applicationsdir}/*.desktop
%{_kde5_iconsdir}/hicolor/*/apps/kdeconnect.*
%{_kde5_iconsdir}/hicolor/*/status/laptop-*.*
%{_kde5_iconsdir}/hicolor/*/status/smartphone-*.*
%{_kde5_iconsdir}/hicolor/*/status/tablet-*.*
%{_kde5_libexecdir}/kdeconnectd
%{_kde5_notificationsdir}/kdeconnect.notifyrc
%{_kde5_services}/kcm_kdeconnect.desktop
%{_kde5_services}/kdeconnect_pausemusic_config.desktop
%{_kde5_services}/kdeconnect_share_config.desktop
%{_kde5_services}/kdeconnectsendfile.desktop
%{_kde5_services}/kdeconnect_runcommand_config.desktop
%{_kde5_services}/kdeconnect_sendnotifications_config.desktop
%{_kde5_servicetypes}/kdeconnect_plugin.desktop
%{_kde5_autostart}/kdeconnectd.desktop
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_qt5_plugindir}/kcm_kdeconnect.so
%{_qt5_plugindir}/kdeconnect_pausemusic_config.so
%{_qt5_plugindir}/kdeconnect_share_config.so
%{_qt5_plugindir}/kdeconnect/kdeconnect_*.so
%{_qt5_plugindir}/kdeconnect_runcommand_config.so
%{_qt5_plugindir}/kdeconnect_sendnotifications_config.so
%{_qt5_plugindir}/kdeconnectfileitemaction.so
%{_kde5_docdir}/HTML/en/kdeconnect-kde/index.cache.bz2
%{_kde5_docdir}/HTML/en/kdeconnect-kde/index.docbook


#----------------------------------------------------------------------------

%package -n plasma5-applet-kdeconnect
Summary:	Plasma 5 kdeconnect plasmoid
Group:		Graphical desktop/KDE
Requires:	%{name}

%description -n plasma5-applet-kdeconnect
Plasma 5 kdeconnect plasmoid.

%files -n plasma5-applet-kdeconnect -f plasma_applet_org.kde.kdeconnect.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.kdeconnect/
%{_kde5_datadir}/plasma/plasmoids/org.kde.kdeconnect/*
%{_kde5_services}/plasma-kdeconnect.desktop
%dir %{_kde5_qmldir}/org/kde/kdeconnect
%{_kde5_qmldir}/org/kde/kdeconnect/*
%{_appdatadir}/org.kde.kdeconnect.kcm.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-kio-kdeconnect
Summary:	Plasma 5 kdeconnect kio slave
Group:		Graphical desktop/KDE

%description -n plasma5-kio-kdeconnect
Plasma 5 kdeconnect kio slave.

%files -n plasma5-kio-kdeconnect -f kdeconnect-kio.lang
%{_kde5_services}/kdeconnect.protocol
%{_qt5_plugindir}/kio_kdeconnect.so

#----------------------------------------------------------------------------

# Make sure to avoid 1, it's reserved for KDE4 version
%define kcore_major 5
%define libkcore %mklibname kkdeconnectcore %{kcore_major}

%package -n %{libkcore}
Summary:	Shared library for %{name}
Group:		System/Libraries
Provides:	libkcore = %{version}
Conflicts:	libkcore < %{version}

%description -n %{libkcore}
Shared library for %{name}.

%files -n %{libkcore}
%{_kde5_libdir}/libkdeconnectcore.so.%{kcore_major}
%{_kde5_libdir}/libkdeconnectcore.so.%{version}

#----------------------------------------------------------------------------

# Make sure to avoid 1, it's reserved for KDE4 version
%define kinterfaces_major 5
%define libkinterfaces %mklibname kkdeconnectinterfaces %{kinterfaces_major}

%package -n %{libkinterfaces}
Summary:	Shared library for %{name}
Group:		System/Libraries
Provides:	libkinterfaces = %{version}
Conflicts:	libkinterfaces < %{version}

%description -n %{libkinterfaces}
Shared library for %{name}.

%files -n %{libkinterfaces}
%{_kde5_libdir}/libkdeconnectinterfaces.so.%{kinterfaces_major}
%{_kde5_libdir}/libkdeconnectinterfaces.so.%{version}

#----------------------------------------------------------------------------

%define kplugin_major 5
%define libkplugin %mklibname kkdeconnectpluginkcm %{kplugin_major}

%package -n %{libkplugin}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libkplugin}
Shared library for %{name}.

%files -n %{libkplugin}
%{_kde5_libdir}/libkdeconnectpluginkcm.so.%{kplugin_major}
%{_kde5_libdir}/libkdeconnectpluginkcm.so.%{version}

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1

pushd po
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5 \
	-DEXPERIMENTALAPP_ENABLED=ON
%make

%install
%makeinstall_std -C build

%find_lang kdeconnect-cli kdeconnect-core kdeconnect-fileitemaction kdeconnect-kcm \
           kdeconnect-kded kdeconnect-plugins %{oname}.lang

%find_lang kdeconnect-kio

%find_lang plasma_applet_org.kde.kdeconnect


%changelog

* Sat Nov 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.2-1
- (24c501d) Fix files


